export default {
  //保存数据
  SAVE_UPLOAD_IMG(state, imgArr) {
    state.uploadImgArr = imgArr;
  },
  //清除数据
  CLEAR_UPLOAD_IMG(state) {
    state.uploadImgArr = [];
  },

  /* 保存风险现状图片 */
  SET_PRESENT_IMG(state, data) {
    data.forEach(({ key, value }) => {
      state.present[key] = value;
    });
  },
  CLEAR_PRESENT_IMG(state) {
    for (let i in state.present) {
      state.present[i] = [];
    }
  },
  // 现状风险模型 第一步
  SET_ASSESS_STEP1(state, data) {
    state.assessModel.step1 = data;
  },
  // 现状风险模型 第二步（后台所需数据）
  SET_ASSESS_STEP2(state, data) {
    state.assessModel.step2 = data;
  },
  // 现状风险模型 第二步（表单数据）
  SET_ASSESS_STEP2_FORM(state, data) {
    state.assessModel.step2Form = data;
  },
  // 现状风险模型 第二步（表单数据）
  SET_ASSESS_RESULT(state, data) {
    state.assessModel.result = data;
  },

  // 固有风险模板
  SET_INHERENT_TEMPLATE(state, data) {
    state.inherentTemplate = data;
  },
  // 异常上报
  SET_DANGER_DATA(state, data) {
    state.danger = data;
  }
};
